Bug 1715951 - Backport per-desktop GSettings overrides for 3.32 rebase
Summary: Backport per-desktop GSettings overrides for 3.32 rebase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glib2
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.1
Assignee: Colin Walters
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1698520
TreeView+ depends on / blocked
 
Reported: 2019-05-31 17:56 UTC by Florian Müllner
Modified: 2020-11-14 10:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:05:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3530 0 None None None 2019-11-05 22:05:59 UTC

Description Florian Müllner 2019-05-31 17:56:18 UTC
Since GNOME 3.30, both the regular GNOME session and GNOME Classic rely on a new GSettings facility in 2.58 instead of the previously used custom override schemas.

As glib is a widely used dependency, rebasing it to a newer version seems too risky at this point, so the suggestion is to backport the corresponding functionality instead.

See https://gitlab.gnome.org/GNOME/glib/merge_requests/105 for the code in question.

Comment 1 Florian Müllner 2019-05-31 18:16:28 UTC
Scratch build at https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=21946639.

Comment 6 errata-xmlrpc 2019-11-05 22:05:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3530


Note You need to log in before you can comment on or make changes to this bug.